Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451543 - Samba RPM deletes smbpasswd file on upgrade
Summary: Samba RPM deletes smbpasswd file on upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 8
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-15 13:31 UTC by TR Bentley
Modified: 2009-01-09 06:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:36:03 UTC


Attachments (Terms of Use)

Description TR Bentley 2008-06-15 13:31:20 UTC
Description of problem:
When Samba upgrades it deletes the smbpasswd file. 

Version-Release number of selected component (if applicable):
Latest and previous version of samba

How reproducible:
Has happened the last two upgrades.


Steps to Reproduce:
1. logon to server 
2. run Yum upgrade
3. Fedora provides a samba and samba-common package to upgrade
  
Actual results:
smbpasswd is deleted

Expected results:
smbpasswd file is preserved.


Additional info:
I need to recreate tge smbpasswd file manually as it did not seem to work just
copying back the previous file from the backup.

Comment 1 Simo Sorce 2008-06-30 21:36:12 UTC
I am inclined to mark this bug as duplicate of 243766.
CAn you check that smbpasswd is really actually lost with pdbedit -L ?
If you see account there it just means we moved it into it's new destination in
/var/lib/samba/private on upgrade.


Comment 2 TR Bentley 2008-07-01 04:55:20 UTC
I will have a look but my guess is it is not there as I have do reset al the
passwords on both occasions.
If the file was moved then Samba did not know where to look for it.

Comment 3 Simo Sorce 2008-07-01 13:39:44 UTC
verify the contents of /var/lib/samba/priivate/smbpasswd and
/etc/samba/smbpasswd, if you find a problem attach also your smb.conf file
[global] section

Comment 4 TR Bentley 2008-07-03 18:20:30 UTC
The /var/lib file exists.
The box was built as a FC5 box updated to FC6 and then FC8.  The FC6 to FC8
upgrades were via a custom build. I used RAPTOR to build me a CD ISO.
My smb.conf file is 
[global]
	log file = /var/log/samba/%m.log
	idmap gid = 16777216-33554431
	socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
	force group = users
	template shell = /bin/false
	dns proxy = no 
	server string = Samba Server
	workgroup = TRINITY
	security = user
	create mode = 775
	max log size = 50
	directory mode = 775


Comment 5 Simo Sorce 2008-07-03 19:08:09 UTC
Exists and have your passwords ?
Is /etc/samba/smbpasswd removed? (It should)

Comment 6 Bug Zapper 2008-11-26 10:52:15 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 06:36:03 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.